import 'package:boilerplate/core/i18n/translations.g.dart';
import 'package:boilerplate/core/styles/my_dimensions.dart';
import 'package:boilerplate/core/utils/navigator_util.dart';
import 'package:boilerplate/presentation/screen/products/business_meeting/confirm_business_meeting_screen.dart';
import 'package:boilerplate/presentation/screen/products/business_meeting/widgets/time_meeting.dart';
import 'package:boilerplate/presentation/widgets/base_scaffold.dart';
import 'package:flutter/material.dart';

import '../../../../core/styles/my_font.dart';
import 'widgets/date_meeting.dart';
import 'widgets/detail_to_seller_meeting.dart';
import 'widgets/interest_product_meeting.dart';
import 'widgets/purpose_meeting.dart';

class CreateBusinessMeetingScreen extends StatelessWidget {
  static final String tag = "CreateBusinessMeetingScreen";
  const CreateBusinessMeetingScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BaseScaffold(
      title: AppLocalizations.products.business_meeting,
      body: Column(
        children: [
          Expanded(
            child: SingleChildScrollView(
              padding: EdgeInsets.all(MyDimens.dimen16),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  DateMeeting(),
                  SizedBox(height: MyDimens.dimen24),
                  TimeMeeting(),
                  SizedBox(height: MyDimens.dimen24),
                  PurposeMeeting(),
                  SizedBox(height: MyDimens.dimen24),
                  InterestProductMeeting(),
                  SizedBox(height: MyDimens.dimen24),
                  DetailToSallerMeeting(),
                ],
              ),
            ),
          ),
          GestureDetector(
            onTap: () {
              NavigatorUtil.pushToPage(ConfirmBusinessMeetingScreen());
            },
            child: Container(
              padding: EdgeInsets.only(
                top: MyDimens.dimen24,
                bottom:
                    MediaQuery.of(context).padding.bottom + MyDimens.dimen24,
              ),
              alignment: Alignment.center,
              decoration: BoxDecoration(
                gradient: LinearGradient(
                  colors: [Color(0xFFF15B44), Color(0xFFB21F29)],
                  begin: Alignment.topCenter,
                  end: Alignment.bottomCenter,
                ),
                borderRadius: BorderRadius.only(
                  topLeft: Radius.circular(10),
                ),
              ),
              child: Text(
                AppLocalizations.products.create_meeting,
                style: MyFont.medium20.copyWith(
                  color: Colors.white,
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
